Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Interface IMailRecipient

All Superinterfaces:
  IItem, IRecipient, java.io.Serializable

public interface IMailRecipient
extends IRecipient

Classes that implement this interface are recipients in the groupware schema.

Field Summary
`static ItemClass` | `CLASS` Represents a groupware recipient.
`static Key` | `DISPLAY_ADDRESS` Represents the display address of the recipient.
`static int` | `KEYID_DISPLAY_ADDRESS` The `int` ID for the `DISPLAY_ADDRESS` key.
`static int` | `KEYID_NAME` The `int` ID for the `NAME` key.
`static int` | `KEYID_SMTP_ADDRESS` The `int` ID for the `SMTP_ADDRESS` key.
`static int` | `KEYID_TYPE` The `int` ID for the `TYPE` key.
`static Key` | `NAME` Represents the name of the recipient.
`static Key` | `SMTP_ADDRESS` Represents the SMTP address of the recipient.
`static Key` | `TYPE` Represents the recipient type.

Fields inherited from interface com.compoze.collab.messaging.IRecipient
`ADDRESS, KEYID_ADDRESS, MINIMUM_KEYS`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`java.lang.String` | `getDisplayAddress()` Gets the display address.
`java.lang.String` | `getName()` Gets the name.
`java.lang.String` | `getSmtpAddress()` Gets the SMTP address.
`RecipientType` | `getType()` Gets the type of this recipient, as addressed on the message.

Methods inherited from interface com.compoze.collab.messaging.IRecipient
`getAddress, setAddress`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### KEYID_DISPLAY_ADDRESS

    public static final int KEYID_DISPLAY_ADDRESS

  The `int` ID for the `DISPLAY_ADDRESS` key.

### KEYID_NAME

    public static final int KEYID_NAME

  The `int` ID for the `NAME` key.

### KEYID_SMTP_ADDRESS

    public static final int KEYID_SMTP_ADDRESS

  The `int` ID for the `SMTP_ADDRESS` key.

### KEYID_TYPE

    public static final int KEYID_TYPE

  The `int` ID for the `TYPE` key.

### DISPLAY_ADDRESS

    public static final Key DISPLAY_ADDRESS

  Represents the display address of the recipient.

### NAME

    public static final Key NAME

  Represents the name of the recipient.

### SMTP_ADDRESS

    public static final Key SMTP_ADDRESS

  Represents the SMTP address of the recipient.

### TYPE

    public static final Key TYPE

  Represents the recipient type.

### CLASS

    public static final ItemClass CLASS

  Represents a groupware recipient.

Method Detail

### getDisplayAddress

    public java.lang.String getDisplayAddress()
                                       throws CollaborationException

  Gets the display address.
  Returns:
    the display address (not `null`)

### getName

    public java.lang.String getName()
                             throws CollaborationException

  Gets the name.
  Returns:
    the name (not `null`)

### getSmtpAddress

    public java.lang.String getSmtpAddress()
                                    throws CollaborationException

  Gets the SMTP address.
  Returns:
    the SMTP address (not `null`)

### getType

    public RecipientType getType()
                          throws CollaborationException

  Gets the type of this recipient, as addressed on the message.
  Returns:
    the recipient type (not `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.